SYSCTL(8)

NOM
sysctl - Configurer les paramètres du noyau à chaud

SYNOPSIS
sysctl [options] [variable[=valeur]] [...]
sysctl -p [fichier | expression rationnelle] [...]

DESCRIPTION
sysctl est utilisé pour modifier les paramètres du noyau en cours d'exécution. Les paramètres utilisables sont ceux présents dans le répertoire /proc/sys. Procfs est nécessaire pour utiliser sysctl sous Linux. Vous pouvez utiliser sysctl aussi bien pour lire que pour écrire des paramètres.

PARAMÈTRES

variable
    Le nom d'une clé à lire. Par exemple « kernel.ostype ». Le séparateur « / » est aussi accepté en lieu et place de « . ».

variable=valeur
    To set a key, use the form variable=value where variable is the key and value is the value to set it to. If the value contains quotes or characters which are parsed by the shell, you may need to enclose the value in double quotes.

-n, --values
    Empêcher l'affichage des clés lors de l'affichage des valeurs.

-e, --ignore
    Ignorer les erreurs concernant les clés inconnues.

-N, --names
    Afficher les options. Cela peut être utile pour les interpréteurs de commandes disposant d'un complètement automatique programmable.

-q, --quiet
    Empêcher l'affichage des valeurs dans la sortie standard.

-w, --write
    Use this option when all arguments prescribe a key to be set.

-p[fichier], --load[=fichier]
    Charger les paramètres sysctl depuis le fichier donné en paramètre ou depuis /etc/sysctl.conf si aucun fichier n'est donné. Indiquer « - » comme fichier signifie que les données seront lues depuis l'entrée standard. L'utilisation de cette option signifiera que les arguments de sysctl sont des fichiers lus dans l'ordre indiqué. L'argument fichier peut être indiqué comme une expression rationnelle.

-a, --all
    Afficher toutes les valeurs disponibles.

--deprecated
    Inclure les paramètres obsolètes à la liste de valeurs avec --all.

-b, --binary
    Afficher la valeur sans retour à la ligne.

--system
    Load settings from all system configuration files. Files are read from directories in the following list in given order from top to bottom. Once a file of a given filename is loaded, any file of the same name in subsequent directories is ignored.
    /run/sysctl.d/*.conf
    /etc/sysctl.d/*.conf
    /usr/local/lib/sysctl.d/*.conf
    /usr/lib/sysctl.d/*.conf
    /lib/sysctl.d/*.conf
    /etc/sysctl.conf

-r, --pattern motif
    N'appliquer que les réglages qui correspondent au motif. Le motif utilise la syntaxe d'expression rationnelle étendue.

-A  Alias de -a.

-d  Alias de -h.

-f  Alias de -p.

-X  Alias de -a.

-o  Ne rien faire, pour la compatibilité BSD.

-x  Ne rien faire, pour la compatibilité BSD.

-h, --help
    Afficher l'aide et quitter.

-V, --version
    Afficher la version du logiciel et quitter.

EXEMPLES
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="example.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --system --pattern '^net.ipv6'

PARAMÈTRES OBSOLÈTES
base_reachable_time et retrans_time sont obsolètes. La commande sysctl ne permet pas de modifier les valeurs de ces paramètres. Les utilisateurs qui désirent vraiment utiliser les interfaces obsolètes du noyau devraient insérer autrement les valeurs dans le système de fichiers /proc. Par exemple :

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

FICHIERS
/proc/sys
/etc/sysctl.conf

VOIR AUSSI
sysctl.conf(5), regex(7)

AUTEUR
George Staikos <staikos@wnedorg>

BOGUES
Signalez les bogues à <procps@freelists.org>